#
# Copyright (c) 2021, 2022 Astroncia
# Copyright (c) 2023, 2024 Ame-chan-angel <amechanangel@proton.me>
#
# This file is part of yuki-iptv.
#
# yuki-iptv is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# yuki-iptv is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with yuki-iptv. If not, see <https://www.gnu.org/licenses/>.
#
# The Font Awesome pictograms are licensed under the CC BY 4.0 License.
# https://fontawesome.com/
# https://creativecommons.org/licenses/by/4.0/
#
import os
import platform
from pathlib import Path
from yuki_iptv.xdg import get_config_dir

if platform.system() != "Windows":
    LOCAL_DIR = str(Path(get_config_dir(), "yuki-iptv"))
else:
    LOCAL_DIR = str(Path(os.getenv("LOCALAPPDATA"), "yuki-iptv-config"))
SAVE_FOLDER_DEFAULT = str(Path(LOCAL_DIR, "saves"))
